Subject: Re: [PATCH v5] wifi: rsi: Fix handling of 802.3 EAPOL frames sent via control port

From: Kalle Valo <[email-masked]>
Date: Wed, 09 Nov 2022 18:20:57 +0200

Marek Vasut <[email-masked]> writes:

> On 11/7/22 14:54, Kalle Valo wrote:
>> Marek Vasut <[email-masked]> writes:
>>
>>>> BTW did you test this on a real device?
>>>
>>> Yes, SDIO RS9116 on next-20221104 and 5.10.153 .
>>
>> Very good, thanks.
>>
>>> What prompts this question ?
>>
>> I get too much "fixes" which have been nowhere near real hardware and
>> can break the driver instead of fixing anything, especially syzbot
>> patches have been notorious. So I have become cautious.
>
> Ah, this is a real problem right here.
>
> wpa-supplicant 2.9 from OE dunfell 3.1 works.
> wpa-supplicant 2.10 from OE kirkstone 4.0 fails.
>
> That's how I ran into this initially. My subsequent tests were with
> debian wpa-supplicant 2.9 and 2.10 packages, since that was easier,
> they (2.10 does, 2.9 does not) trigger the problem all the same.
>
> I'm afraid this RSI driver is so poorly maintained and has so many
> bugs, that, there is little that can make it worse. The dealing I had
> with RSI has been ... long ... and very depressing. I tried to get
> documentation or anything which would help us fix the problems we have
> with this RSI driver ourselves, but RSI refused it all and suggested
> we instead use their downstream driver (I won't go into the quality of
> that). It seems RSI has little interest in maintaining the upstream
> driver, pity.
>
> I've been tempted to flag this driver as BROKEN for a while, to
> prevent others from suffering with it.

That's a pity indeed. Should we at least mark the driver as orphaned in
MAINTAINERS?

Or even better if you Marek would be willing to step up as the
maintainer? :)

> Until I send such a patch, you can expect real fixes coming from my
> end at least.

Great, thank you.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches